## org.apache.cassandra.cql3.statements
Class UpdateStatement

    java.lang.Object
      org.apache.cassandra.cql3.statements.ParsedStatement
          org.apache.cassandra.cql3.statements.CFStatement
              org.apache.cassandra.cql3.statements.ModificationStatement
                  org.apache.cassandra.cql3.statements.UpdateStatement

All Implemented Interfaces:
  CQLStatement

    public class UpdateStatement

extends ModificationStatement

An `UPDATE` statement parsed from a CQL query statement.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`ParsedStatement.Prepared`

Field Summary

Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement
`cLevel, defaultConsistency, timestamp, timeToLive`

Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement
`cfName`

Constructor Summary
`UpdateStatement(CFName name, java.util.List<ColumnIdentifier> columnNames, java.util.List<Term> columnValues, Attributes attrs)` Creates a new UpdateStatement from a column family name, a consistency level, key, and lists of column names and values.
`UpdateStatement(CFName name, java.util.Map<ColumnIdentifier,Operation> columns, java.util.List<Relation> whereClause, Attributes attrs)` Creates a new UpdateStatement from a column family name, columns map, consistency level, and key term.

Method Summary
`java.util.List<IMutation>` `getMutations(ClientState clientState, java.util.List<java.nio.ByteBuffer> variables)` Convert statement into a list of mutations to apply on the server
`ParsedStatement.Prepared` `prepare()`
`ParsedStatement.Prepared` `prepare(CFDefinition.Name[] boundNames)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement
`checkAccess, execute, getConsistencyLevel, getTimestamp, getTimeToLive, isSetConsistencyLevel, isSetTimestamp, validate`

Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement
`columnFamily, keyspace, prepareKeyspace`

Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement
`getBoundsTerms, setBoundTerms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.cql3.CQLStatement
`getBoundsTerms`

Constructor Detail

### UpdateStatement

    public UpdateStatement(CFName name,
                           java.util.Map<ColumnIdentifier,Operation> columns,
                           java.util.List<Relation> whereClause,
                           Attributes attrs)

  Creates a new UpdateStatement from a column family name, columns map, consistency level, and key term.

  Parameters:
    `name` - column family being operated on
    `columns` - a map of column name/values pairs
    `whereClause` - the where clause
    `attrs` - additional attributes for statement (CL, timestamp, timeToLive)

### UpdateStatement

    public UpdateStatement(CFName name,
                           java.util.List<ColumnIdentifier> columnNames,
                           java.util.List<Term> columnValues,
                           Attributes attrs)

  Creates a new UpdateStatement from a column family name, a consistency level, key, and lists of column names and values. It is intended for use with the alternate update format, `INSERT`.

  Parameters:
    `name` - column family being operated on
    `columnNames` - list of column names
    `columnValues` - list of column values (corresponds to names)
    `attrs` - additional attributes for statement (CL, timestamp, timeToLive)

Method Detail

### getMutations

    public java.util.List<IMutation> getMutations(ClientState clientState,
                                                  java.util.List<java.nio.ByteBuffer> variables)
                                           throws InvalidRequestException

  Convert statement into a list of mutations to apply on the server

  Specified by:
    `getMutations` in class `ModificationStatement`
  Parameters:
    `clientState` - current client status
    `variables` - value for prepared statement markers
  Returns:
    list of the mutations
  Throws:
    `InvalidRequestException` - on invalid requests

### prepare

    public ParsedStatement.Prepared prepare(CFDefinition.Name[] boundNames)
                                     throws InvalidRequestException

  Specified by:
    `prepare` in class `ModificationStatement`
  Throws:
    `InvalidRequestException`

### prepare

    public ParsedStatement.Prepared prepare()
                                     throws InvalidRequestException

  Specified by:
    `prepare` in class `ParsedStatement`
  Throws:
    `InvalidRequestException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation